Author Topic: error  (Read 758 times)

Online crnogorac081

  • Posts: 1968
  • Gender: Male
error
« on: March 11, 2021, 03:25:17 AM »
I updated one of my installations from 2.8.3 and it works on portable webserver ,but when I put it on live server I get this error

There was an uncatched exception
Interface 'src\Interfaces\Requester' not found
in line (43) of (/framework/HttpRequester.php):

I cant see FE or BE, but when i open upgrade script it says wb is already installed.. PHP is 7.4, but I tried 7,3 and 7,2 it doesnt work either...

what could be the problem here ??
UI / UX Designer

Online crnogorac081

  • Posts: 1968
  • Gender: Male
Re: error
« Reply #1 on: March 11, 2021, 03:50:04 AM »
I had r29 just fixed it by ugrading to latest..
UI / UX Designer

Offline hgs

  • Betatester
  • **
  • Posts: 1398
    • EFG MG
Re: error
« Reply #2 on: March 11, 2021, 08:08:16 AM »
Please take the released Verson r48
We have brought in the test center100th WB 2.8.3 to WB 2.13 without these problems.
But we also now only use the recommended method with unzip.php This ensures that all files are unzipped in the correct place.

Here again in short form from the subfolder /DOCU
Quote
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
4] Update of a WebsiteBaker version 2.8.3 or higher
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

This update package contains a complete WebsiteBaker version 2.13.0 and can be updated from any WebsiteBaker version 2.8.3 or higher.

Additional instructions for upgrading WebsiteBaker versions older than 2.8.3 can be found in [6].

a) IMPORTANT :: Always make a backup of the webspace and the database !!!

b) Download the WebsiteBaker package to your workstation and extract everything into an empty folder.

c) - download WB ZIP package & unzip.php.zip
   - rename unzip.php.zip to unzip.php
   - upload WB ZIP package & unzip.php to your WB root folder (documentroot)
   - run unzip.php in your browser (https://yourdomain.com/unzip.php) (replace yourdomain.com with your own domain)
   - after unzip click the button Backend in bottom right corner

   The unzip.php and the WB ZIP can delete themselves after the successful execution of the unzip.php if the checkboxes are ticked.

d) Switch the PHP version of the web server to at least PHP 7.2 or higher. We recommend PHP 7.4

e) Sign up as SuperAdmin (ID 1) in the backend and start the upgrade script by clicking on the link and follow the instructions.

f) Some add-on packages do not come with this version and must be updated manually.
   Some new versions are available at https://addon.WebsiteBaker.org/
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Online crnogorac081

  • Posts: 1968
  • Gender: Male
Re: error
« Reply #3 on: April 18, 2021, 11:06:42 AM »
Hello,

I am experiencing same error with r60

With php v7.3
Code: [Select]
Fatal error: Interface 'src\Interfaces\Requester' not found in /home/promorjv/public_html/framework/HttpRequester.php on line 43

With php v7.4
Code: [Select]
There was an uncatched exception
Interface 'src\Interfaces\Requester' not found
in line (43) of (/framework/HttpRequester.php):

what could be the problem here ?
UI / UX Designer

Offline hgs

  • Betatester
  • **
  • Posts: 1398
    • EFG MG
Re: error
« Reply #4 on: April 18, 2021, 12:11:57 PM »
A query for understanding.
Do you always upgrade from the mentioned version 2.8.3
or
is it a migrating bug?
Upgrade from 2.8.3 to 2.13 r29 then to r48 and then r60

Originaltext in Deutsch
Eine Rückfrage zum Verständnis.
Macht du immer ein upgrade von der erwähnten Version 2.8.3
oder
ist es ein mitwandernder Fehler?
Upgrade von 2.8.3 auf 2.13 r29 dann auf r48 und dann r60
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Online crnogorac081

  • Posts: 1968
  • Gender: Male
Re: error
« Reply #5 on: April 18, 2021, 12:19:20 PM »
What I did is I downloaded Wb Portable 2.13.0 r60 from Download section.
Then I migrated my content ( my custom modules, template, media folder etc, populate database with pages, sections etc .) I didn't touch core files.

Weird is that it works on wb portable, but when I uploaded database and files (first tried zip and by unzip script, then via one by one) it doesn't work and I get this message.

Edit: this is another wb site, not the instance from the first post.
Edit 2: the previous one worked but it is r48, I could try this one too with r48, but why not to latest version available lol
« Last Edit: April 18, 2021, 12:31:36 PM by crnogorac081 »
UI / UX Designer

Offline hgs

  • Betatester
  • **
  • Posts: 1398
    • EFG MG
Re: error
« Reply #6 on: April 18, 2021, 12:32:56 PM »
Ok,
I have never done it with this method, so unfortunately I can't say anything about it.
I always use a subdomain with a 1:1 copy of the homepage and I always test the current version of WebsiteBaker there. I then report the errors to our development team and that's how we get to the next version step by step.

Do you have the possibility to test it with my procedure?
In principle, it should also work with the USB version, which is one of the reasons why it exists.

Translated with www.DeepL.com/Translator (free version)

Original in deutsch
Ok,
ich habe es mit dieser Methode noch nie gemacht, deshalb kann ich leider gar nichts dazu sagen.
Ich nutze immer eine Subdomäne mit einer 1:1 Kopie der Homepage und dort teste ich die aktuellen Version von WebsiteBaker immer durch. Die Fehler melde ich dann an unser Entwicklungsteam und so kommen wir Schritt für Schritt zur nächsten Version.

Hast du diese Möglichkeit, es mal mit meinem Vorgehen zu testen?
Vom Prinzip sollte es aber auch mit der USB-Variante funktionieren, dass ist ja einer der Gründe, warum es diese gibt.
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Online crnogorac081

  • Posts: 1968
  • Gender: Male
Re: error
« Reply #7 on: April 19, 2021, 11:34:30 AM »
The complete original package from WB portable download page is transfered to hosting, and php 7.4 is selected, and there is same error.


Das komplette Originalpaket von der WB portable download page wird auf das Hosting übertragen, und php 7.4 wird ausgewählt, und es tritt der gleiche Fehler auf.
UI / UX Designer

Offline ruebenwurzel

  • Betatester
  • **
  • Posts: 8411
  • Gender: Male
  • Keep on Rockin
    • Familie Gallas Online
Re: error
« Reply #8 on: April 19, 2021, 06:30:42 PM »
Hello,

please upload the r60 zip Package and the unzip.php on your Server and run the unzip.php. Log in to your backend and if not prompted to run the upgrade, run the upgrade manually by using the Maintenance Tool (info Button).

Did this solve your problem?

Matthias

Online crnogorac081

  • Posts: 1968
  • Gender: Male
Re: error
« Reply #9 on: April 19, 2021, 07:44:46 PM »
I will try again with unzip.php and and zip package, but to repeat myself, I cant access frontend and backend so it is not possible to login and use Info button menu.

The host provider have versions ea7.4 and 7.3. I am wondering if it could be 7.4.0 and not 7.4.3 , it this would have any difference
UI / UX Designer

Offline ruebenwurzel

  • Betatester
  • **
  • Posts: 8411
  • Gender: Male
  • Keep on Rockin
    • Familie Gallas Online
Re: error
« Reply #10 on: April 19, 2021, 09:32:05 PM »
Hello,

but upload via FTP works, right? So please do, as i wrote, upload the original r60 package and the unzip.php (https://wiki.WebsiteBaker.org/doku.php/en/downloads) and then call the unzip.php. This way you can be shure all needed files are uploaded correct. After unzip has finished you should have access to the backend. Then please follow the instructions from Post above.

It would be nice if you would follow the hints we gave you.

The minimum requirements for WB 2.13.0 are PHP 7.3 but it also works with higher versions including PHP 8

Online crnogorac081

  • Posts: 1968
  • Gender: Male
Re: error
« Reply #11 on: April 20, 2021, 02:57:53 PM »
Ok so there is a problem with^package  WB portable + WB 2.13.0 r60 which is allegedly r60 but it is not! There was something wrong with this package and it didn't work.

What I did is I replaced complete folders /vendor, /include and /framework with the ones from original WB 2.13.0 r60 package (https://addon.WebsiteBaker.org/pages/en/browse-add-ons.php?id=08AA8D65) and it is working (requester error is gone).
UI / UX Designer

Offline hgs

  • Betatester
  • **
  • Posts: 1398
    • EFG MG
Re: error
« Reply #12 on: April 20, 2021, 03:03:52 PM »
Thank you for your tireless testing and not giving up.  (Y)
The message will be very interesting for the development department.
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Online crnogorac081

  • Posts: 1968
  • Gender: Male
Re: error
« Reply #13 on: April 20, 2021, 05:23:28 PM »
I also replaced modules folder too, because droplets didnt work.
UI / UX Designer

Offline dbs

  • Betatester
  • **
  • Posts: 8626
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: error
« Reply #14 on: April 21, 2021, 12:23:32 AM »
I tried the Portable files on my server for a new installation. Results in a blank page after push the install button.
I saw your error in the server log.

Seems in the Portable the folder framework/interfaces needs a renaming to Interfaces.
After that a install was possible.
For me is this the reason for the problems.